Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class PaymentContext3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.PaymentContext3

    public class PaymentContext3
    extends java.lang.Object

Java class for PaymentContext3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentContext3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CardPres" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="CrdhldrPres" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="OnLineCntxt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="AttndncCntxt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AttendanceContext1Code" minOccurs="0"/>
             <element name="TxEnvt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionEnvironment1Code" minOccurs="0"/>
             <element name="TxChanl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TransactionChannel1Code" minOccurs="0"/>
             <element name="AttndntMsgCpbl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="AttndntLang" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISO2ALanguageCode" minOccurs="0"/>
             <element name="CardDataNtryMd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CardDataReading1Code"/>
             <element name="FllbckInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="AuthntcnMtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CardholderAuthentication2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AttendanceContext1Code` `attndncCntxt`
`protected java.lang.String` `attndntLang`
`protected java.lang.Boolean` `attndntMsgCpbl`
`protected CardholderAuthentication2` `authntcnMtd`
`protected CardDataReading1Code` `cardDataNtryMd`
`protected java.lang.Boolean` `cardPres`
`protected java.lang.Boolean` `crdhldrPres`
`protected java.lang.Boolean` `fllbckInd`
`protected java.lang.Boolean` `onLineCntxt`
`protected TransactionChannel1Code` `txChanl`
`protected TransactionEnvironment1Code` `txEnvt`

### Constructor Summary

Constructors
`PaymentContext3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AttendanceContext1Code` `getAttndncCntxt()` Gets the value of the attndncCntxt property.
`java.lang.String` `getAttndntLang()` Gets the value of the attndntLang property.
`CardholderAuthentication2` `getAuthntcnMtd()` Gets the value of the authntcnMtd property.
`CardDataReading1Code` `getCardDataNtryMd()` Gets the value of the cardDataNtryMd property.
`TransactionChannel1Code` `getTxChanl()` Gets the value of the txChanl property.
`TransactionEnvironment1Code` `getTxEnvt()` Gets the value of the txEnvt property.
`java.lang.Boolean` `isAttndntMsgCpbl()` Gets the value of the attndntMsgCpbl property.
`java.lang.Boolean` `isCardPres()` Gets the value of the cardPres property.
`java.lang.Boolean` `isCrdhldrPres()` Gets the value of the crdhldrPres property.
`java.lang.Boolean` `isFllbckInd()` Gets the value of the fllbckInd property.
`java.lang.Boolean` `isOnLineCntxt()` Gets the value of the onLineCntxt property.
`void` `setAttndncCntxt​(AttendanceContext1Code value)` Sets the value of the attndncCntxt property.
`void` `setAttndntLang​(java.lang.String value)` Sets the value of the attndntLang property.
`void` `setAttndntMsgCpbl​(java.lang.Boolean value)` Sets the value of the attndntMsgCpbl property.
`void` `setAuthntcnMtd​(CardholderAuthentication2 value)` Sets the value of the authntcnMtd property.
`void` `setCardDataNtryMd​(CardDataReading1Code value)` Sets the value of the cardDataNtryMd property.
`void` `setCardPres​(java.lang.Boolean value)` Sets the value of the cardPres property.
`void` `setCrdhldrPres​(java.lang.Boolean value)` Sets the value of the crdhldrPres property.
`void` `setFllbckInd​(java.lang.Boolean value)` Sets the value of the fllbckInd property.
`void` `setOnLineCntxt​(java.lang.Boolean value)` Sets the value of the onLineCntxt property.
`void` `setTxChanl​(TransactionChannel1Code value)` Sets the value of the txChanl property.
`void` `setTxEnvt​(TransactionEnvironment1Code value)` Sets the value of the txEnvt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cardPres

    protected java.lang.Boolean cardPres

#### crdhldrPres

    protected java.lang.Boolean crdhldrPres

#### onLineCntxt

    protected java.lang.Boolean onLineCntxt

#### attndncCntxt

    protected AttendanceContext1Code attndncCntxt

#### txEnvt

    protected TransactionEnvironment1Code txEnvt

#### txChanl

    protected TransactionChannel1Code txChanl

#### attndntMsgCpbl

    protected java.lang.Boolean attndntMsgCpbl

#### attndntLang

    protected java.lang.String attndntLang

#### cardDataNtryMd

    protected CardDataReading1Code cardDataNtryMd

#### fllbckInd

    protected java.lang.Boolean fllbckInd

#### authntcnMtd

    protected CardholderAuthentication2 authntcnMtd

### Constructor Detail

#### PaymentContext3

    public PaymentContext3()

### Method Detail

#### isCardPres

    public java.lang.Boolean isCardPres()

Gets the value of the cardPres property.

Returns:
  possible object is `Boolean`

#### setCardPres

    public void setCardPres​(java.lang.Boolean value)

Sets the value of the cardPres property.

Parameters:
  `value` - allowed object is `Boolean`

#### isCrdhldrPres

    public java.lang.Boolean isCrdhldrPres()

Gets the value of the crdhldrPres property.

Returns:
  possible object is `Boolean`

#### setCrdhldrPres

    public void setCrdhldrPres​(java.lang.Boolean value)

Sets the value of the crdhldrPres property.

Parameters:
  `value` - allowed object is `Boolean`

#### isOnLineCntxt

    public java.lang.Boolean isOnLineCntxt()

Gets the value of the onLineCntxt property.

Returns:
  possible object is `Boolean`

#### setOnLineCntxt

    public void setOnLineCntxt​(java.lang.Boolean value)

Sets the value of the onLineCntxt property.

Parameters:
  `value` - allowed object is `Boolean`

#### getAttndncCntxt

    public AttendanceContext1Code getAttndncCntxt()

Gets the value of the attndncCntxt property.

Returns:
  possible object is `AttendanceContext1Code`

#### setAttndncCntxt

    public void setAttndncCntxt​(AttendanceContext1Code value)

Sets the value of the attndncCntxt property.

Parameters:
  `value` - allowed object is `AttendanceContext1Code`

#### getTxEnvt

    public TransactionEnvironment1Code getTxEnvt()

Gets the value of the txEnvt property.

Returns:
  possible object is `TransactionEnvironment1Code`

#### setTxEnvt

    public void setTxEnvt​(TransactionEnvironment1Code value)

Sets the value of the txEnvt property.

Parameters:
  `value` - allowed object is `TransactionEnvironment1Code`

#### getTxChanl

    public TransactionChannel1Code getTxChanl()

Gets the value of the txChanl property.

Returns:
  possible object is `TransactionChannel1Code`

#### setTxChanl

    public void setTxChanl​(TransactionChannel1Code value)

Sets the value of the txChanl property.

Parameters:
  `value` - allowed object is `TransactionChannel1Code`

#### isAttndntMsgCpbl

    public java.lang.Boolean isAttndntMsgCpbl()

Gets the value of the attndntMsgCpbl property.

Returns:
  possible object is `Boolean`

#### setAttndntMsgCpbl

    public void setAttndntMsgCpbl​(java.lang.Boolean value)

Sets the value of the attndntMsgCpbl property.

Parameters:
  `value` - allowed object is `Boolean`

#### getAttndntLang

    public java.lang.String getAttndntLang()

Gets the value of the attndntLang property.

Returns:
  possible object is `String`

#### setAttndntLang

    public void setAttndntLang​(java.lang.String value)

Sets the value of the attndntLang property.

Parameters:
  `value` - allowed object is `String`

#### getCardDataNtryMd

    public CardDataReading1Code getCardDataNtryMd()

Gets the value of the cardDataNtryMd property.

Returns:
  possible object is `CardDataReading1Code`

#### setCardDataNtryMd

    public void setCardDataNtryMd​(CardDataReading1Code value)

Sets the value of the cardDataNtryMd property.

Parameters:
  `value` - allowed object is `CardDataReading1Code`

#### isFllbckInd

    public java.lang.Boolean isFllbckInd()

Gets the value of the fllbckInd property.

Returns:
  possible object is `Boolean`

#### setFllbckInd

    public void setFllbckInd​(java.lang.Boolean value)

Sets the value of the fllbckInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getAuthntcnMtd

    public CardholderAuthentication2 getAuthntcnMtd()

Gets the value of the authntcnMtd property.

Returns:
  possible object is `CardholderAuthentication2`

#### setAuthntcnMtd

    public void setAuthntcnMtd​(CardholderAuthentication2 value)

Sets the value of the authntcnMtd property.

Parameters:
  `value` - allowed object is `CardholderAuthentication2`